> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vaanivoice.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Call History

> Get call history for a client

## Get Call History

Get call history for a client.

Shows all calls for the client if the user belongs to that client.

## Parameters

* **Query**
  * `page` (integer, optional, default: `1`): Page number (1-indexed)
  * `page_size` (integer, optional, default: `50`, max: `200`): Number of records per page

## Request Example

```bash cURL theme={null}
# API_KEY=your_api_key

curl -H "X-API-Key:$API_KEY" "https://api.vaanivoice.ai/api/call-history?page=1&page_size=50"
```

```javascript JavaScript theme={null}
// const API_KEY = "your_api_key";

const response = await fetch(
  "https://api.vaanivoice.ai/api/call-history?page=1&page_size=50",
  {
    method: "GET",
    headers: {
      "X-API-Key": API_KEY,
    },
  }
);

const data = await response.json();
console.log(data);
```

```python Python theme={null}
# API_KEY = "your_api_key"

import requests

headers = {
    "X-API-Key": API_KEY,
}

response = requests.get(
    "https://api.vaanivoice.ai/api/call-history",
    headers=headers,
    params={"page": 1, "page_size": 50},
)

print(response.json())
```

## Response

### Success Response (200)

```json theme={null}
{
  "data": [
    {
      "call_id": "outbound-1776774443-863aa698",
      "call_type": "Outbound",
      "call_status": "User disconnected",
      "direction": "Outbound",
      "agent_name": "vaani321talha",
      "agent_id": "7ec4155e-0e62-440a-b983-5974f7697854",
      "client_name": "vaani321",
      "client_id": "9abf5eff-e978-4e87-954d-7ff6ba570796",
      "from_number": "+918037565218",
      "to_number": "+917893209830",
      "Start_time": "2026-04-21T12:27:23.335803",
      "End_time": "2026-04-21T12:27:57.453173",
      "duration_ms": 742.269,
      "call_cost": 2.3,
      "call_summary": "The agent opened the call with a friendly greeting...",
      "call_entity": {},
      "call_eval_tag": "not enough data",
      "call_conversation_quality": {},
      "post_processing_status": "completed",
      "call_dialing_at": "2026-04-21T12:27:41.474651",
      "call_ringing_at": "2026-04-21T12:27:43.395994",
      "user_picked_up_at": "2026-04-21T12:27:53.431057",
      "recording_api": "https://api.vaanivoice.ai/api/stream/outbound-1776774443-863aa698",
      "call_transcription": "https://api.vaanivoice.ai/api/transcript/outbound-1776774443-863aa698",
      "call_metadata": {
        "name": "John",
        "phone": "+917893209830",
        "agent_name": "vaani321talha",
        "agent_id": "7ec4155e-0e62-440a-b983-5974f7697854",
        "client_id": "9abf5eff-e978-4e87-954d-7ff6ba570796"
      },
      "chat_history": [],
      "callback_requested": false,
      "callback_id": null,
      "callback_status": null
    }
  ],
  "pagination": {
    "page": 1,
    "page_size": 50,
    "total_count": 1028,
    "total_pages": 21,
    "has_next": true,
    "has_previous": false
  }
}
```

**data** `array`

Array of call objects

**Call Object Properties**

**call\_id** `string`

Unique call identifier (e.g., `outbound-1776774443-863aa698`)

**call\_type** `string`

Type of call - `Outbound` or `Inbound`

**call\_status** `string`

Final call status (e.g., `User disconnected`, `completed`, `error`)

**direction** `string`

Call direction - `Outbound` or `Incoming`

**agent\_name** `string`

Name of the agent that handled the call

**agent\_id** `string`

UUID of the agent

**from\_number** `string`

Caller number (E.164 format)

**to\_number** `string`

Destination number (E.164 format)

**Start\_time** `string`

Call start timestamp (ISO 8601)

**End\_time** `string`

Call end timestamp (ISO 8601)

**duration\_ms** `number`

Call duration in milliseconds

**call\_cost** `number`

Call cost in credits

**call\_summary** `string | null`

AI-generated summary of the call

**call\_eval\_tag** `string | null`

Evaluation tag assigned to the call

**post\_processing\_status** `string`

Post-processing status - `completed`, `not_processed`, or `processing`

**recording\_api** `string`

URL to stream the call recording

**call\_transcription** `string`

URL to fetch the call transcript

**call\_metadata** `object`

Metadata passed when triggering the call

**chat\_history** `array`

Structured chat history of the call

**callback\_requested** `boolean`

Whether a callback was requested during the call

**pagination** `object`

Pagination metadata

**Pagination Properties**

**page** `integer`

Current page number

**page\_size** `integer`

Number of records per page

**total\_count** `integer`

Total number of records

**total\_pages** `integer`

Total number of pages

**has\_next** `boolean`

Whether there is a next page

**has\_previous** `boolean`

Whether there is a previous page

### Validation Error (422)

```json theme={null}
{
  "detail": [
    {
      "loc": ["query", "page"],
      "msg": "value is not a valid integer",
      "type": "type_error.integer"
    }
  ]
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.